Update task
curl --request PUT \
--url https://api.clientcommander.com/v1/tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"priority": "medium",
"personId": "<string>",
"assignedTo": "<string>"
}
'import requests
url = "https://api.clientcommander.com/v1/tasks/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"priority": "medium",
"personId": "<string>",
"assignedTo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
dueDate: '2023-11-07T05:31:56Z',
priority: 'medium',
personId: '<string>',
assignedTo: '<string>'
})
};
fetch('https://api.clientcommander.com/v1/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"version": "1.0.0"
},
"success": true,
"message": "Operation completed successfully"
}{
"error": {
"code": "NOT_FOUND",
"message": "Contact not found",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}Tasks
Update Task
PUT
/
v1
/
tasks
/
{id}
Update task
Authorizations
API key for authentication using Bearer token scheme.
How to get your API key:
- Log into Client Commander
- Go to Admin > API Keys
- Click Create API Key
- Copy the key and use it in the Authorization header:
Authorization: Bearer ccmd_live_your_key_here
Path Parameters
Task ID
Body
application/json
⌘I

